# DBTable Class Reference
[Dynamic query builder]

Inheritance diagram for DBTable:
[legend]

List of all members.

## Public Member Functions

| __construct ($name)
| getColumns ()
| addUniques ()
| getUniques ()
| addColumn (DBColumn $column)
| getColumnByName ($name)
| dropColumnByName ($name)
| setName ($name)
| getName ()
| getOrder ()
| toDialectString (Dialect $dialect)

## Static Public Member Functions

static | create ($name)
static | findDifferences (Dialect $dialect, DBTable $source, DBTable $target)

## Private Attributes

| $name = null
| $columns = array()
| $order = array()
| $uniques = array()

## Detailed Description

Definition at line 15 of file DBTable.class.php.

## Constructor & Destructor Documentation

DBTable::__construct | ( | $ | name | ) |

Definition at line 32 of file DBTable.class.php.

References $name.

## Member Function Documentation

DBTable::addColumn | ( | DBColumn $ | column | ) |

Exceptions:

  | WrongArgumentException |

Returns:
  DBTable

Definition at line 72 of file DBTable.class.php.

References $name, DBColumn::getName(), Assert::isFalse(), and DBColumn::setTable().

Here is the call graph for this function:

DBTable::addUniques | ( |  | ) |

Returns:
  DBTable

Definition at line 45 of file DBTable.class.php.

References $name, $uniques, getColumnByName(), and Assert::isTrue().

Here is the call graph for this function:

static DBTable::create | ( | $ | name | ) | `[static]`

Returns:
  DBTable

Definition at line 27 of file DBTable.class.php.

References $name.

Referenced by SchemaBuilder::buildRelations(), and SchemaBuilder::buildTable().

DBTable::dropColumnByName | ( | $ | name | ) |

Returns:
  DBTable

Definition at line 105 of file DBTable.class.php.

References $name.

static DBTable::findDifferences | ( | Dialect $ | dialect,
|  | DBTable $ | source,
|  | DBTable $ | target |
| ) |  |  | `[static]`

Definition at line 144 of file DBTable.class.php.

References $name, getColumns(), getName(), Dialect::quoteField(), and Dialect::quoteTable().

Here is the call graph for this function:

DBTable::getColumnByName | ( | $ | name | ) |

Exceptions:

  | MissingElementException |

Returns:
  DBColumn

Definition at line 92 of file DBTable.class.php.

References $name.

Referenced by addUniques().

DBTable::getColumns | ( |  | ) |

Definition at line 37 of file DBTable.class.php.

Referenced by findDifferences().

DBTable::getName | ( |  | ) |

Definition at line 128 of file DBTable.class.php.

Referenced by DBSchema::addTable(), and findDifferences().

DBTable::getOrder | ( |  | ) |

Definition at line 133 of file DBTable.class.php.

DBTable::getUniques | ( |  | ) |

Definition at line 63 of file DBTable.class.php.

DBTable::setName | ( | $ | name | ) |

Returns:
  DBTable

Definition at line 121 of file DBTable.class.php.

References $name.

DBTable::toDialectString | ( | Dialect $ | dialect | ) |

Implements DialectString.

Definition at line 138 of file DBTable.class.php.

References OSQL::createTable().

Here is the call graph for this function:

## Member Data Documentation

DBTable::$columns = array()`[private]`

Definition at line 19 of file DBTable.class.php.

DBTable::$name = null`[private]`

Definition at line 17 of file DBTable.class.php.

Referenced by __construct(), addColumn(), addUniques(), create(), dropColumnByName(), findDifferences(), getColumnByName(), and setName().

DBTable::$order = array()`[private]`

Definition at line 20 of file DBTable.class.php.

DBTable::$uniques = array()`[private]`

Definition at line 22 of file DBTable.class.php.

Referenced by addUniques().

The documentation for this class was generated from the following file:

- core/OSQL/DBTable.class.php